diff --git a/src/vector/vrle.cpp b/src/vector/vrle.cpp
index a5deee1..22c99ea 100644
--- a/src/vector/vrle.cpp
+++ b/src/vector/vrle.cpp
@@ -26,6 +26,8 @@
 #include "vglobal.h"
 #include "vregion.h"
 
+#include <limits>
+
 V_BEGIN_NAMESPACE
 
 enum class Operation { Add, Xor };
